import request from '@/utils/request'

// 查询黑烟列表
export function getdeviceList(query) {
    return request({
        url: 'gas/common/queryDeviceList',
        method: 'get',
        params: query
    })
}

export function queryShipByDeviceId(query) {
    return request({
        url: "gas/common/queryShipByDeviceId",
        method: "get",
        params: query
    });
}

export function queryDatabymmsi(query) {
    return request({
        url: "gas/common/queryShipMonitorInfo",
        method: "get",
        params: query,
    });
}



export function queryShipData(query) {
    return request({
        url: "gas/common/queryShipList",
        method: "get",
        params: query,
    });
}

export function queryallShipData(query, urlc) {
    return request({
        url: "/gas/common/queryRdsShipList?" + urlc,
        method: "get",
        params: query,
    });
}

export function queryShipInfo(mmsi) {
    return request({
        url: "/gas/common/queryCurrentShip?mmsi=" + mmsi,
        method: "get",
    });
}